| FFmpegKit iOS / macOS / tvOS API 6.0

Loading...
Searching...
No Matches
Data Fields
Writer Struct Reference

## Data Fields
const AVClass * | priv_class
| private class of the writer, if any
int | priv_size
| private size for the writer context
const char * | name
int(* | init )(WriterContext *wctx)
void(* | uninit )(WriterContext *wctx)
void(* | print_section_header )(WriterContext *wctx)
void(* | print_section_footer )(WriterContext *wctx)
void(* | print_integer )(WriterContext *wctx, const char *, long long int)
void(* | print_rational )(WriterContext *wctx, AVRational *q, char *sep)
void(* | print_string )(WriterContext *wctx, const char *, const char *)
int | flags
| a combination or WRITER_FLAG_*

## Detailed Description

Definition at line 488 of file fftools_ffprobe.c.

## Field Documentation

## ◆ flags

int Writer::flags

a combination or WRITER_FLAG_*

Definition at line 501 of file fftools_ffprobe.c.

## ◆ init

int(* Writer::init) (WriterContext *wctx)

Definition at line 493 of file fftools_ffprobe.c.

## ◆ name

const char* Writer::name

Definition at line 491 of file fftools_ffprobe.c.

## ◆ print_integer

void(* Writer::print_integer) (WriterContext *wctx, const char *, long long int)

Definition at line 498 of file fftools_ffprobe.c.

## ◆ print_rational

void(* Writer::print_rational) (WriterContext *wctx, AVRational *q, char *sep)

Definition at line 499 of file fftools_ffprobe.c.

## ◆ print_section_footer

void(* Writer::print_section_footer) (WriterContext *wctx)

Definition at line 497 of file fftools_ffprobe.c.

## ◆ print_section_header

void(* Writer::print_section_header) (WriterContext *wctx)

Definition at line 496 of file fftools_ffprobe.c.

## ◆ print_string

void(* Writer::print_string) (WriterContext *wctx, const char *, const char *)

Definition at line 500 of file fftools_ffprobe.c.

## ◆ priv_class

const AVClass* Writer::priv_class

private class of the writer, if any

Definition at line 489 of file fftools_ffprobe.c.

## ◆ priv_size

int Writer::priv_size

private size for the writer context

Definition at line 490 of file fftools_ffprobe.c.

## ◆ uninit

void(* Writer::uninit) (WriterContext *wctx)

Definition at line 494 of file fftools_ffprobe.c.

The documentation for this struct was generated from the following file:

- fftools_ffprobe.c